Summary:	Maintains identical copies of files on multiple machines
Name:		rdist
Version:	6.1.5
Release:	%mkrel 34
License:	BSD
Group:		Networking/File transfer
URL:		http://www.MagniComp.com/rdist
Source:		ftp://ftp.sunet.se/pub/unix/admin/mirror-magnicomp/download/rdist/rdist-%{version}.tar.bz2
Patch0:		rdist-6.1.5-linux.patch
Patch1:		rdist-6.1.5-links.patch
Patch2:		rdist-6.1.5-oldpath.patch
Patch3:		rdist-6.1.5-environ.patch
Patch4:		rdist-6.1.5-build-os-type-linux-is-not-svr4.patch
# tmpfile security fix
Patch5:		rdist-6.1.5-tmpfile.patch
Patch6:		rdist-6.1.5-optflags.patch
Patch7:		rdist-6.1.5-bison.patch
Patch8:		rdist-6.1.5-varargs.patch
Patch9:		rdist-6.1.5-lfs.patch
BuildRequires:	bison

%description
The rdist program maintains identical copies of files on multiple hosts. If
possible, rdist will preserve the owner, group, mode and mtime of files and it
can update programs that are executing.

%prep

%setup -q
%patch0 -p1 -b .linux
%patch1 -p0 -b .links
%patch2 -p1 -b .oldpath
%patch3 -p0 -b .environ
%patch4 -p1 -b .ostype
%patch5 -p1 -b .tmpfile
%patch6 -p1 -b .optflags
%patch7 -p1 -b .bison
%patch8 -p1 -b .varargs
%patch9 -p1 -b .lfs

%build
%make_build

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/{man1,man8}

install -m0755 src/rdist %{buildroot}%{_bindir}
install -m0755 src/rdistd %{buildroot}%{_sbindir}
ln -sf ../sbin/rdistd %{buildroot}%{_bindir}/rdistd

install -m0644 doc/rdist.man %{buildroot}%{_mandir}/man1/rdist.1
install -m0644 doc/rdistd.man %{buildroot}%{_mandir}/man8/rdist.8

%files
%doc README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*




%changelog
* Wed Nov 11 2020 joequant <joequant> 6.1.5-34.mga8
+ Revision: 1644592
- rebuild to fix build break

* Fri Feb 14 2020 umeabot <umeabot> 6.1.5-33.mga8
+ Revision: 1516376
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 6.1.5-32.mga7
+ Revision: 1300792
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sat Feb 06 2016 umeabot <umeabot> 6.1.5-31.mga6
+ Revision: 940047
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.1.5-30.mga5
+ Revision: 743234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.1.5-29.mga5
+ Revision: 688625
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.1.5-28.mga4
+ Revision: 518000
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 6.1.5-27.mga3
+ Revision: 380233
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 steletch <steletch> 6.1.5-26.mga1
+ Revision: 79693
- imported package rdist

